[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# free_memory_block

Free allocated memory block

## Declaration

Source position: go32.pp line 149

`function free_memory_block(`
`blockhandle: LongInt`
`):Boolean;`

## Description

Frees a previously allocated memory block.

Parameters:

blockhandle
  the handle to the memory area to free.

Return value: True if successful, false otherwise. Notes: Frees memory that was previously allocated with allocate_memory_block . This function doesn't free any descriptors mapped to this block, it's the application's responsibility.

## Errors

Check int31error variable.

## See also

allocate_memory_block |  | Allocate a block of linear memory